package com.crm.manager.service;

import com.crm.rely.backend.core.dto.custom.group.leverage.CustomGroupLeverageDto;
import com.crm.rely.backend.core.entity.custom.group.leverage.CustomGroupLeverageSaveEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface CustomGroupDemoLeverageService {
    CustomGroupLeverageDto getByGroupId(Long groupId) throws ServiceException;

    void save(CustomGroupLeverageSaveEntity entity) throws ServiceException;

    void deleteIn(List<Long> groupIds) throws ServiceException;

    void delete(Long groupId) throws ServiceException;

    List<CustomGroupLeverageDto> getByGroupIdIn(List<Long> groupIds) throws ServiceException;
}
